package com.unipi.talepis.protal2022_3;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.google.firebase.database.DataSnapshot;
import com.google.firebase.database.DatabaseError;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
import com.google.firebase.database.Query;
import com.google.firebase.database.ValueEventListener;

import java.util.ArrayList;
import java.util.List;

public class MainActivity2 extends AppCompatActivity {
    EditText text;
    TextView data;
    FirebaseDatabase database;
    DatabaseReference myRef;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main2);
        text = findViewById(R.id.editTextTextPersonName2);
        data = findViewById(R.id.textView2);
        database = FirebaseDatabase.getInstance();
        myRef = database.getReference("message");
        myRef.addValueEventListener(new ValueEventListener() {
            @Override
            public void onDataChange(@NonNull DataSnapshot snapshot) {
                data.setText(data.getText().toString()+"\n"+snapshot.getValue().toString());
            }

            @Override
            public void onCancelled(@NonNull DatabaseError error) {

            }
        });
    }
    public void writedata(View view){
        myRef.setValue(text.getText().toString());
        Toast.makeText(this,"Done",Toast.LENGTH_LONG).show();
    }
    public void writedata2(View view){
        //myRef.child("MessageList").push().setValue(text.getText().toString());
        /*DatabaseReference ref2 = database.getReference().child("Students");
        Student s1 = new Student("Dimitris","mpsp12345",25);
        ref2.push().setValue(s1);*/
        DatabaseReference ref3 = database.getReference().child("StudentList");
        Student s1 = new Student("Dimitris","mpsp12345",25);
        Student s2 = new Student("Maria","mpsp12345",35);
        Student s3 = new Student("John","mpsp12345",20);
        List<Student> students = new ArrayList<>();
        students.add(s1);
        students.add(s2);
        students.add(s3);
        ref3.setValue(students);
    }
    public void readdata2(View view){
        DatabaseReference listRef = database.getReference("StudentList");
        Query query = listRef.orderByChild("name").equalTo("John");
        query.addListenerForSingleValueEvent(new ValueEventListener() {
            @Override
            public void onDataChange(@NonNull DataSnapshot snapshot) {
                data.setText(snapshot.getValue().toString());
            }

            @Override
            public void onCancelled(@NonNull DatabaseError error) {

            }
        });
    }
    public void readdata(View view){
        myRef.addListenerForSingleValueEvent(new ValueEventListener() {
            @Override
            public void onDataChange(@NonNull DataSnapshot snapshot) {
                data.setText(snapshot.getValue().toString());
            }

            @Override
            public void onCancelled(@NonNull DatabaseError error) {

            }
        });
    }
    public void openmap(View view){
        startActivity(new Intent(this,MapsActivity.class));
    }
}